org.apache.tomcat:tomcat-catalina@9.0.31 vulnerabilities

Tomcat Servlet Engine Core Classes and Standard implementations

Latest version

10.0.14

First published

12 years ago

Latest version published

2 months ago

Licenses detected

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the org.apache.tomcat:tomcat-catalina@9.0.31 package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • M
Improper Input Validation
[10.0.0-M1,10.0.6),[9.0.0.M1,9.0.46),[8.5.0,8.5.66),[7.0.0,7.0.109) Not available 13 Jul, 2021
  • H
Remote Code Execution (RCE)
[10.0.0-M1, 10.0.2),[9.0.0.M1, 9.0.43),[8.5.0, 8.5.63),[7.0.0, 7.0.108) Not available 01 Mar, 2021
  • M
Information Disclosure
[10.0.0-M1,10.0.0-M10),[9.0.0.M1,9.0.40),[8.5.0,8.5.60),[7.0.0,7.0.107) Not available 14 Jan, 2021
  • H
Remote Code Execution (RCE)
[10.0.0-M1, 10.0.0-M5),[9.0.0M1, 9.0.35),[8.5.0, 8.5.55),[7.0.0, 7.0.104) Not available 20 May, 2020